Page MenuHomePhabricator

PageTriage's "patrolled" notifications are jargony and scary
Closed, ResolvedPublic

Description

I'm being patrolled? This notification gives me the icks

After Moriel's presentation at metrics, I checked out my notifications. I've attached a screenshot of what I found. As a relatively inexperienced editor, this made me feel pretty lousy and I'm left with a bunch of questions: Why am I being patrolled? What *is* patrolling? Have I done something that makes me look like a shady editor who would need to be patrolled? Why can't I click on the user names of the people who patrolled me to find out who they are?

(Full disclosure: I brought this up with Roan after the meeting and he's peeked into it, but he also asked me to create a Phab task, so here I am.)

Event Timeline

CaitVirtue raised the priority of this task from to Needs Triage.
CaitVirtue updated the task description. (Show Details)
CaitVirtue added a project: Notifications.
CaitVirtue added a subscriber: CaitVirtue.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 1 2015, 8:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope renamed this task from I'm being patrolled? This notification gives me the icks to PageTriage's "patrolled" notifications are jargony and scary.Oct 1 2015, 8:15 PM
Catrope updated the task description. (Show Details)
Catrope added a project: PageCuration.
Catrope set Security to None.

The wording in the preferences page for this is much better:

Note that this notification is on by default (web only though, no emails).

Perhaps we should reword it to something that uses "review" rather than "patrol", like "Pagename was reviewed by Username"? @Pginer-WMF, @Quiddity, thoughts?

Jorm added a subscriber: Jorm.Oct 1 2015, 8:29 PM

I always preferred "review" over "patrolled" but there was some argument about our wording drifting from the wording used by the new page patrollers. I did not consider it a hill worth dying on at the time, so I relented.

I'd be very happy were the notifications set to "review" but more that they might also describe what that means to the user.

"Your new page, Foobar, was reviewed and accepted by Jane Doe" (where the "and accepted" bit describes what _kind of_ happens enough so that new users won't be confused).

The default Echo message says "reviewed".
Enwp changed this locally to "patrolled", per discussion at https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28proposals%29&oldid=627667840#Distinguishing_between_New_Pages_Patrol_reviews_and_AfC_reviews
(I'd added this as a note, at https://www.mediawiki.org/wiki/Echo_%28Notifications%29/Message_audit#PageTriage )
Because, at Enwp, the word "review" is seen to be more closely associated with AfC (Articles for Creation) E.g. https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Articles_for_creation/Reviewing_instructions
Whereas "patrolling" is the term used for NPP (New Page Patrol) which is usually what triggers these notifications. I.e. https://en.wikipedia.org/wiki/Wikipedia:Page_Curation (aka PageTriage)

If I understand/remember correctly, we need to split this notification type into 2 types, per T59517: Echo: Notifications for "page patrolled" are marked and linked identically to "page reviewed".
(And possibly also implement the pagetriage-add-maintenance-tag and the pagetriage-add-deletion-tag features, that are described in https://www.mediawiki.org/wiki/Echo_%28Notifications%29/Feature_requirements#Icons_and_types but AFAIK are currently unused.)

There's also a patch that simply removes them, at T75925: PageTriage Echo notifications for basic review/patrol actions are not useful, but I'm unsure of the ramifications there.

In this specific case, it's a userpage being patrolled.

Just always (not just for userspace) starting with, "The page" might help with this scenario:

The page "User:CVirtue (WMF)/sandbox" was reviewed by DragonflySixtyseven.

I agree with several of the things said before. I think there are two different issues:

Distinction between the subject and the page about the subject.
In this case making it clear that the notification is about the page, as Matt suggests, makes sense and adds clarity. However, in general I think it is preferred to mention directly the topic to avoid indirection levels (e.g., " Rice was linked from Plants in space" as opposed to "The page "Rice" was linked from the page "Plants in space"). So maybe we want to add the additional clarification only for pages out of the main namespace (or only for pages in the user namespace).

The term "patrolled".
The term "patrol" seems jargony which is not usually helpful for new users (unfamiliar with internal wiki processes) or non-native English speakers. If we consider the different uses of "review" can generate confusions (an example from the conversation Nick linked: "why it was reviewed and there are no changes?"), I think we can go with the term "checked".
This page when describing "patrolling", includes the following:

"you can mark it as "patrolled" so that other users know that it is good and do not necessarily have to re-check it"

As I highlighted in bold, it is implied that patrolling is "strongly" connected to "check" (i.e., you don't need to re-check the page because it was checked before when patrolled).

There is a tradeoff though, by changing the term and avoiding confusion to new users, we are adding an indirection level for those users that already know what patrolling is (i.e., "My page was "checked. Is it the same as patrolled?"). For these users, any other term means making things more complex for them.

Considering all the above here are some ideas (from less to more detail):

  • The page user:CVirtue (WMF) was checked by Jan-Frédéric.
  • The page user:CVirtue (WMF) was checked by a patroller (Jan-Frédéric).
  • The page user:CVirtue (WMF) was checked by Jan-Frédéric. No issues found when patrolled.

Any of the suggestions from @Pginer-WMF for alternative notification language would be a big improvement from the current norm, IMO.

For me, there was an extra aspect of sensitivity here as it wasn't an edit of mine that was being patrolled, but rather parts of my user profile. It would be easier for me to understand an edit being checked for vandalism rather than my own user page or sandbox. It didn't feel like my contributions were being checked for validity, but rather me, myself.

Also, I completely acknowledge @Pginer-WMF 's point that changing the language is a tradeoff (and that I may be wading in over my head on this issue). But if we have to choose, in this case, between creating an additional burden on established editors or new editors, I would choose to make life easier for the new editors. I know that may not be a popular opinion, or even a particularly well-informed one, but asking established editors to comprehend one more level of complexity with the goal of keeping new editors around (ie not alienating them), is, in my opinion, a good idea.

(\me silently reminds myself to Be Bold, cringes, and hits "submit" anyway)

The language in PageTriage itself does actually say "reviewed", but enwiki decided to change it to "patrolled" after a discussion last year. Some people argued for "checked" back then too, but they lost.

As @Pginer-WMF and @Mattflaschen said, we could still change the message to explicitly say "The page 'Foo' was patrolled by Jean-Fred", I think that would be uncontroversial.

Catrope triaged this task as Normal priority.Oct 7 2015, 11:53 PM

Change 245611 had a related patch set uploaded (by Catrope):
Make review notifications less scary by explicitly saying they're about a page

https://gerrit.wikimedia.org/r/245611

Change 245611 had a related patch set uploaded (by Catrope):
Make review notifications less scary by explicitly saying they're about a page
https://gerrit.wikimedia.org/r/245611

What do you guys think of these changes? We'd modify the overrides on enwiki to add "The page" as well, but keep their choice of wording for "patrolled" vs "reviewed".

Jorm added a comment.Oct 13 2015, 1:44 AM

Looks good to me!

Change 245611 merged by jenkins-bot:
Make review notifications less scary by explicitly saying they're about a page

https://gerrit.wikimedia.org/r/245611

"The page [page] was reviewed by [username]" one sounds much better (and less intimidating)

vs "[page] was patrolled by [user]". Especially if a page is a User:page

an example from the conversation Nick linked: "why it was reviewed and there are no changes?"

Definition of Review does not include making changes, review =assessment .

What do you guys think of these changes? We'd modify the overrides on enwiki to add "The page" as well, but keep their choice of wording for "patrolled" vs "reviewed".

This part still needs to be done.

Catrope closed this task as Resolved.Nov 6 2015, 7:17 PM
In T114415#1770934, @Mattflaschen wrote:

What do you guys think of these changes? We'd modify the overrides on enwiki to add "The page" as well, but keep their choice of wording for "patrolled" vs "reviewed".

This part still needs to be done.

Sorry, I'd forgotten. Done now: https://en.wikipedia.org/w/index.php?limit=50&tagfilter=&title=Special%3AContributions&contribs=user&target=Roan+Kattouw+%28WMF%29&namespace=8&tagfilter=&year=2015&month=11